summaryrefslogtreecommitdiffstats
path: root/libraries/libast
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:30:06 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:30:06 +0200
commit28d8f23eb827954160c95a7e5bef9493f51cd206 (patch)
treefa1a8b4dcebbbc56d7167ac33db046018e0bba86 /libraries/libast
parent2002fb124d73a1d33f8d3db96b7ff5fb70a6366a (diff)
downloadslackbuilds-28d8f23eb827954160c95a7e5bef9493f51cd206.tar.gz
slackbuilds-28d8f23eb827954160c95a7e5bef9493f51cd206.tar.xz
libraries/libast: Updated for version 0.7
Diffstat (limited to 'libraries/libast')
-rw-r--r--libraries/libast/libast.SlackBuild17
-rw-r--r--libraries/libast/libast.info4
2 files changed, 15 insertions, 6 deletions
diff --git a/libraries/libast/libast.SlackBuild b/libraries/libast/libast.SlackBuild
index c7d0f746a8..21168a1ae6 100644
--- a/libraries/libast/libast.SlackBuild
+++ b/libraries/libast/libast.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libast
-# Copyright 2008 Robby Workman Northport, Alabama (USA)
+# Copyright 2008-2009 Robby Workman Northport, Alabama (USA)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,14 +63,18 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --enable-static=no
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -78,4 +85,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libast/libast.info b/libraries/libast/libast.info
index 70b42242aa..fcc07ee9b5 100644
--- a/libraries/libast/libast.info
+++ b/libraries/libast/libast.info
@@ -2,7 +2,9 @@ PRGNAM="libast"
VERSION="0.7"
HOMEPAGE="http://www.eterm.org"
DOWNLOAD="http://www.eterm.org/download/libast-0.7.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="a9ec3b2da317f35869316e6d9571d296"
+MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="David Somero"
+APPROVED="dsomero"